/**
 * @license
 * Copyright 2015 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

goog.provide('shaka.polyfill.installAll');

goog.require('shaka.polyfill.CustomEvent');
goog.require('shaka.polyfill.Fullscreen');
goog.require('shaka.polyfill.MediaKeys');
goog.require('shaka.polyfill.Promise');
goog.require('shaka.polyfill.VideoPlaybackQuality');


/**
 * @namespace shaka.polyfill
 * @summary A one-stop installer for all polyfills.
 * @see http://enwp.org/polyfill
 * @export
 */


/**
 * Install all polyfills.
 * @export
 */
shaka.polyfill.installAll = function() {
  shaka.polyfill.CustomEvent.install();
  shaka.polyfill.Fullscreen.install();
  shaka.polyfill.VideoPlaybackQuality.install();

  // Promise must come before other polyfills that use Promises.
  shaka.polyfill.Promise.install();
  shaka.polyfill.MediaKeys.install();
};

